import { jsx } from "react/jsx-runtime";
import { TokenSTRD as TokenSTRD$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSTRD = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "STRD", "data-name": "TokenSTRD", ...props, children: /* @__PURE__ */ jsx(TokenSTRD$1, { variant }) });
  }
);
TokenSTRD.displayName = "TokenSTRD";
Object.assign(TokenSTRD, { isGdsIcon: true });
export {
  TokenSTRD
};
